Package Details: rutorrent-git r2404.d9eb7a79-1

Git Clone URL: https://aur.archlinux.org/rutorrent-git.git (read-only)
Package Base: rutorrent-git
Description: Web frontend to rTorrent in PHP designed to resemble uTorrent
Upstream URL: https://github.com/Novik/ruTorrent
Keywords: rtorrent torrent webui
Licenses: GPL
Conflicts: rutorrent, rutorrent-plugins
Provides: rutorrent, rutorrent-plugins
Submitter: skydrome
Maintainer: pizzaman
Last Packager: pizzaman
Votes: 29
Popularity: 0.003040
First Submitted: 2014-09-04 00:02
Last Updated: 2019-04-07 20:32

Dependencies (10)

Required by (2)

Sources (10)

Latest Comments

1 2 3 4 5 Next › Last »

pizzaman commented on 2019-04-07 20:50

@webslave Added as optdepends

webslave commented on 2019-04-07 19:02

After the last update there is a new cloudflare plugin which requires the installation of python-cfscrape

Can we add that to the dependencies by chance.

Superpiffer commented on 2019-01-24 14:22

@pizzaman: On my system I have an user "pi" for rutorrent and I have this line on .rtorrent.rc:

execute2 = {sh,-c,/usr/bin/php /usr/share/webapps/rutorrent/php/initplugins.php pi &}

but I had the usual errors "rTorrent user can't access external program".

For now I solved with: chmod 755 {conf,share/{users,settings}} and I think that there's no need to set 750 on those folders in .install file.

pizzaman commented on 2018-12-12 11:35

@tuxayo Tested on clean install and pacakge files have correct ownership. (http:http)

tuxayo commented on 2018-11-27 09:00

Hi, at each update, I have to "chown -R http:torrent /usr/share/webapps/rutorrent"

To fix errors like "can't access program php, etc"

I don't know if my fix is clean. But are the user and group of the package files okay? Maybe It's my install, but it was with the package. So I don't know what causes these issues.

tuxayo commented on 2017-08-12 22:34

Does anyone else get permission issue that break some functions? @skydrome what are your rtorrent and webserver/php users?

tuxayo commented on 2017-05-26 01:41

There is an error when editing config file in the PKGBUILD:

https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=rutorrent-git#n63

tempDirectory Ends up without a trailing slash.

But it needs a trailing slash: https://github.com/Novik/ruTorrent/blob/master/conf/config.php#L60

Which broke the trafic plugin for me. Because it expects the tmp dir to have trailing slash: https://github.com/Novik/ruTorrent/blob/3b15b5df9e52a60e73f68d9fb6139dcc948ae0d6/plugins/trafic/update.php#L37

Same error for topDirectory

ArteS commented on 2016-10-09 01:32

add a dependency - plowshare

ice9 commented on 2015-03-11 15:06

Nice. Thank you!

skydrome commented on 2015-03-11 05:35

It now shows git commit hash, rev count, and date